VatExecutor update
[csit.git] / bootstrap.sh
index 893a8db..349e4b6 100755 (executable)
@@ -14,9 +14,6 @@
 
 set -x
 
-echo | sudo tee -a /etc/hostname
-echo "127.0.0.1 `cat /etc/hostname` " | sudo tee -a /etc/hosts
-
 cat /etc/hostname
 cat /etc/hosts
 
@@ -24,31 +21,12 @@ export DEBIAN_FRONTEND=noninteractive
 sudo apt-get -y update
 sudo apt-get -y install libpython2.7-dev python-virtualenv
 
-#VIRL_VMS="10.30.51.53,10.30.51.51,10.30.51.52"
-#IFS=',' read -ra ADDR <<< "${VIRL_VMS}"
-#
-
 function ssh_do() {
     echo
     echo "### "  ssh $@
     ssh -i priv_key -o StrictHostKeyChecking=no $@
 }
 
-#for addr in "${ADDR[@]}"; do
-#    echo
-#    echo ${addr}
-#    echo
-#
-#    ssh_do cisco@${addr} hostname || true
-#    ssh_do cisco@${addr} "ifconfig -a" || true
-#    ssh_do cisco@${addr} "lspci -Dnn | grep 0200" || true
-#    ssh_do cisco@${addr} "free -m" || true
-#    ssh_do cisco@${addr} "cat /proc/meminfo" || true
-#    ssh_do cisco@${addr} "dpkg -l vpp\*" || true
-#    ssh_do cisco@${addr} "lshw -c network" || true
-#    ssh_do cisco@${addr} "sudo -S sh -c 'echo exec show  hardware | vpp_api_test '"
-#done
-
 VIRL_SERVER=10.30.51.28
 VIRL_USERNAME=jenkins-in
 VIRL_PKEY=priv_key
@@ -87,18 +65,17 @@ chmod 600 priv_key
 
 # Temporarily download VPP packages from nexus.fd.io
 
-rm -f *.deb
 if [ "${#}" -ne "0" ]; then
-    echo "let's use the parameters"
     arr=(${@})
     echo ${arr[0]}
 else
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-185~gca0f3b3_amd64/vpp-1.0.0-185~gca0f3b3_amd64.deb" || exit
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-185~gca0f3b3_amd64/vpp-dbg-1.0.0-185~gca0f3b3_amd64.deb" || exit
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-185~gca0f3b3_amd64/vpp-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dev-1.0.0-185~gca0f3b3_amd64.deb" || exit
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-185~gca0f3b3_amd64/vpp-dpdk-dkms-1.0.0-185~gca0f3b3_amd64.deb" || exit
-    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-185~gca0f3b3_amd64/vpp-lib-1.0.0-185~gca0f3b3_amd64.deb" || exit
+    rm -f *.deb
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-304~gd530445_amd64/vpp-1.0.0-304~gd530445_amd64.deb" || exit
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-304~gd530445_amd64/vpp-dbg-1.0.0-304~gd530445_amd64.deb" || exit
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-304~gd530445_amd64/vpp-dev-1.0.0-304~gd530445_amd64.deb" || exit
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-304~gd530445_amd64/vpp-dpdk-dev-1.0.0-304~gd530445_amd64.deb" || exit
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-304~gd530445_amd64/vpp-dpdk-dkms-1.0.0-304~gd530445_amd64.deb" || exit
+    wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-304~gd530445_amd64/vpp-lib-1.0.0-304~gd530445_amd64.deb" || exit
 fi
 
 VPP_DEBS=(*.deb)
@@ -135,14 +112,14 @@ function stop_virl_simulation {
 
 VIRL_SID=$(ssh -i priv_key -o StrictHostKeyChecking=no \
     ${VIRL_USERNAME}@${VIRL_SERVER} \
-    "/home/jenkins-in/testcase-infra/bin/start-testcase -c simple-ring ${VPP_DEBS_FULL[@]}")
+    "/home/jenkins-in/testcase-infra/bin/start-testcase -c double-ring-nested ${VPP_DEBS_FULL[@]}")
 retval=$?
 if [ "$?" -ne "0" ]; then
     echo "VIRL simulation start failed"
     exit ${retval}
 fi
 
-if [[ ! "${VIRL_SID}" =~ session-[a-zA-Z0-9]{6} ]]; then
+if [[ ! "${VIRL_SID}" =~ session-[a-zA-Z0-9_]{6} ]]; then
     echo "No VIRL session ID reported."
     exit 127
 fi
@@ -171,11 +148,21 @@ virtualenv env
 echo pip install
 pip install -r requirements.txt
 
+pykwalify -s resources/topology_schemas/3_node_topology.sch.yaml \
+          -s resources/topology_schemas/topology.sch.yaml \
+          -d topologies/enabled/topology.yaml \
+          -vvv
+
+result=$?
+if [ "${result}" -ne "0" ]; then
+    echo "Topology schema validation failed."
+    echo "However, the tests will start."
+fi
+
 PYTHONPATH=`pwd` pybot -L TRACE \
     -v TOPOLOGY_PATH:topologies/enabled/topology.yaml \
-    --include vm_env \
-    --include 3_NODE_SINGLE_LINK_TOPO \
-    --exclude 3_node_double_link_topoNOT3_node_single_link_topo \
+    --include vm_envAND3_node_single_link_topo \
+    --include vm_envAND3_node_double_link_topo \
     --exclude PERFTEST \
     --noncritical EXPECTED_FAILING \
     tests/